/* This is a completely optional Node script you can use if you're
   having trouble making a custom stamp to mod into sprites.js.
   Pass it a PNG cropped to just the stamp size and it'll try to output the
   Javascript literal you need to match it. */



const fs=require("fs")
const PNGReader=require("./pngreader_browser.js")

console.log(process.argv[2]);
new PNGReader(fs.readFileSync(process.argv[2])).parse(
 (err,png) => {
  if(err) {
   throw(err);
  }
  var rows=[]
  for(var y=0;y<png.height;++y) {
   var row=[]
   for(var x=0;x<png.width;++x) {
    var pixel=png.getPixel(x,y);
    if(pixel[0]==255 && pixel[1]==0 && pixel[2]==255 && pixel[3]>0) {
     row.push("#");
    }
    else {
     row.push(".");
    }
   }
   rows.push(row.join(""));
  }
  console.log(JSON.stringify(rows,null,1));
 }
)
